#ifndef __INIPARSER_H__
#define __INIPARSER_H__

#include <string>
#include <map> 
using namespace std;

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

class IniFile {
public:
	int ReadFile(const char* filename);
	int WriteFile(char* filename);
	
	string GetValue(string key);
	void SetValue(string key, string val);
	
	bool GetBooleanValue(string key, bool defaultValue = true);
	void SetBooleanValue(string key, bool val);
	
	 int GetIntegerValue(string key, int defaultValue = 0);
	void SetIntegerValue(string key, int val);
	
	float GetFloatValue(string key, float defaultValue = 0);
	 void SetFloatValue(string key, float val);
	
private:
	map <string,string> IniValues;
};

#endif
